---

- hosts: all
  gather_facts: true

- hosts: etcd:k8s-cluster:vault:calico-rr
  vars_prompt:
    name: "reset_confirmation"
    prompt: "Are you sure you want to reset cluster state? Type 'yes' to reset your cluster."
    default: "no"
    private: no

  pre_tasks:
    - name: check confirmation
      fail:
        msg: "Reset confirmation failed"
      when: reset_confirmation != "yes"

  roles:
    - { role: kubespray-defaults}
    - { role: reset, tags: reset }
